Subject: Re: Virtex TEMAC ping -s 10000 host, is it working?

From: alex_snippet <[email-masked]>
Date: Mon, 19 Nov 2007 01:03:33 -0800 (PST)

Hi Lorenz Kolb,

Thank you for answering.

It's interesting to see some info from your design files,  PLB_TEMAC &
HardTEMAC description from mhs,
and kernel .config network section.

The biggest problem that i actually do not understand what kind of problem
is it, hardware or software or configuration.

Lorenz Kolb wrote:
> 
> 
> 
> alex_snippet wrote:
>> 
>> Hi All!
>> 
>> On Virtex 4FX board with TEMAC core, Linux ping working fine, but if s -
>> parameter set to big values it freezes for ever...
>> 
>> Colleagues please share your experience with ping -s 10000 host.
>> 
>> Do you know what parameters in core or in Linux kernel must be changed to
>> improve it.
>> 
>> My customer is too hypercritical, he likes to ping :(
>> 
>> I tried to  increase LX/TX buffers in core, it increased dead line but
>> there is no desirable result.
>> 
>> 
>> 
> 
> 
> Hey, I can understand that customer, I like pinging as well.
> And it works for me. Our design is based on ML403.
> We use PLB_TEMAC (with minimum Fifos (4kB each)) and HardTEMAC
> 
> 
>> .
>> .
>> .
>> 10008 bytes from 192.168.0.206: icmp_seq=733 ttl=64 time=2.42 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=734 ttl=64 time=2.50 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=735 ttl=64 time=2.43 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=736 ttl=64 time=2.43 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=737 ttl=64 time=2.44 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=738 ttl=64 time=2.42 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=739 ttl=64 time=2.51 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=740 ttl=64 time=2.42 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=741 ttl=64 time=2.50 ms
>> 10008 bytes from 192.168.0.206: icmp_seq=742 ttl=64 time=2.43 ms
>> .
>> .
>> .
>> 
> 
> And so on...
> 
> 
>> --- 192.168.0.206 ping statistics ---
>> 850 packets transmitted, 850 received, 0% packet loss, time 849010ms
>> rtt min/avg/max/mdev = 2.399/11.623/1001.859/92.782 ms, pipe 3
>> 
> 

-- 
View this message in context: http://www.nabble.com/Virtex-TEMAC-ping--s-10000-host%2C-is-it-working--tf4812989.html#a13830023
Sent from the linuxppc-embedded mailing list archive at Nabble.com.